stages:
  - Package
  - Build
  - Deployment
  - Clean
Package:
  stage: Package
  tags: 
    - shyamutag
  script:
    - mvn clean package
  artifacts: 
    paths:
    - target/*.jar
Build:
  stage: Build
  tags: 
    - shyamutag
  script:
    - docker build -t shyamudocker/artifacts:$(git log -1 --pretty='%cd' --date=format:'%y%m%d')-$(git rev-parse HEAD | cut -c1-8) .
    - docker push shyamudocker/artifacts:$(git log -1 --pretty='%cd' --date=format:'%y%m%d')-$(git rev-parse HEAD | cut -c1-8)
Deployment:
  stage: Deployment
  tags:
    - shyamutag
  script:
    - kubectl get pods || minikube start --vm-driver=virtualbox
    - kubectl describe namespace $CI_COMMIT_REF_NAME || kubectl create namespace $CI_COMMIT_REF_NAME
    - kubectl apply -f ./Kubernetes -n $CI_COMMIT_REF_NAME
Clean:
  tags:
    - shyamutag
  stage: Clean
  script:
    - kubectl delete namespace $CI_COMMIT_REF_NAME